Skip to Main Content
IBM Data and AI Ideas Portal for Customers


This portal is to open public enhancement requests against products and services offered by the IBM Data & AI organization. To view all of your ideas submitted to IBM, create and manage groups of Ideas, or create an idea explicitly set to be either visible by all (public) or visible only to you and IBM (private), use the IBM Unified Ideas Portal (https://ideas.ibm.com).


Shape the future of IBM!

We invite you to shape the future of IBM, including product roadmaps, by submitting ideas that matter to you the most. Here's how it works:


Search existing ideas

Start by searching and reviewing ideas and requests to enhance a product or service. Take a look at ideas others have posted, and add a comment, vote, or subscribe to updates on them if they matter to you. If you can't find what you are looking for,


Post your ideas

Post ideas and requests to enhance a product or service. Take a look at ideas others have posted and upvote them if they matter to you,

  1. Post an idea

  2. Upvote ideas that matter most to you

  3. Get feedback from the IBM team to refine your idea


Specific links you will want to bookmark for future use

Welcome to the IBM Ideas Portal (https://www.ibm.com/ideas) - Use this site to find out additional information and details about the IBM Ideas process and statuses.

IBM Unified Ideas Portal (https://ideas.ibm.com) - Use this site to view all of your ideas, create new ideas for any IBM product, or search for ideas across all of IBM.

ideasibm@us.ibm.com - Use this email to suggest enhancements to the Ideas process or request help from IBM for submitting your Ideas.

IBM Employees should enter Ideas at https://ideas.ibm.com


ADD A NEW IDEA

Spectrum Conductor

Showing 97 of 14694

Please provide update for Spectrum Conductor 2.5.1 to update Spring Boot version to 3.3

Our compliance team is requiring all Spring Boot version be updated to 3.3 since all previous versions are already end of life or approaching end of life in next 30-45 days.
2 days ago in Spectrum Conductor / Version 2.5.1 0 Submitted

wlp 24.0.0.5 in Conductor2.5.0

To resolve below high risk vulnerability. IBM WebSphere Application Server and IBM WebSphere Application Server Liberty are vulnerable to a denial of service, caused by sending a specially crafted request. A remote attacker could exploit this vuln...
9 days ago in Spectrum Conductor / Version 2.5.0 0 Submitted

Consumer being truncated when using egosh CLI

Egosh is quicker than the REST API to match consumers back to the spark instance groups. However, the consumer is truncated if the value is greater than 40 characters, which is not useful. This occurs on the following commands: egosh user roles4us...
28 days ago in Spectrum Conductor / Version 2.5.1 0 Submitted

jupyter7 support in spectrum conductor 2.5.x

currently jupyter6 pkg is available for IBM spectrum conductor , jupyter6 supports notebook6.x packages, all notebook 6.x pkgs are vulnerable with below CVEs FULL LIST ====== CVE-2020-7760 - codemirror before 5.58.2 - https://nvd.nist.gov/vuln/det...
9 months ago in Spectrum Conductor / Version 2.5.1 0 Future consideration

Port config issue on deployment

We have been facing issues with pods during restart of services and found this is related to a bug gap in the REST API used for deploying new pods and the port range assigned. Please reference case TS012155811 for more details.
about 1 year ago in Spectrum Conductor / Version 2.5.1 0 Under review

Please validate Spectrum Conductor 2.5.1 for RHEL 7.6 PPCLE Linux Servers

PPCLE RHEL 7.6 is not listed as a supported OS for Spectrum Conductor 2.5.1. We already have condcuctor 2.5.0 running on this version of the OS. The documentation doesnt have reference to this version of OS. Can this be validated.
about 1 year ago in Spectrum Conductor / Version 2.5.1 1 Functionality already exists

We need conductor installed on RHEL 7.6

RHEL 7.6 is not listed as a supported OS for Spectrum Conductor 2.5.1. We already have condcuctor 2.5.0 running on this version of the OS. The documentation doesnt have reference to this version of OS. Can this be validated.
about 1 year ago in Spectrum Conductor / Version 2.5.1 2 Functionality already exists

"Pure Python/Non-Spark enabled" SIGs support for Python 3.10 and 3.11 Support for IBM Spectrum Conductor 2.5.*

It can be challenging to motivate/influence the Spark community to use the latest Python version which can delay the ability of Spectrum Conductor to use the latest Python version. "Pure Python/Non-Spark enabled" SIGs compatible with Python 3.10.*...
about 1 year ago in Spectrum Conductor / Version 2.5.1 1 Future consideration

Logstash 7.8.1 is marked End Of Life and is available on Conductor 2.5.0

Logstash 7.8.1 is depricated and we need and upgrade. Can we get 7.12.1?
over 1 year ago in Spectrum Conductor / Version 2.5.0 1 Functionality already exists

Spring patch for Conductor 2.4.1 version - (CVE-2022-22970 & CVE-2022-2297)

current spring version 5.2.20 of Conductor 2.4.1 is vulnerabale (CVE-2022-22970 & CVE-2022-2297). Wells Fargo is pushing to resolve vulnerability within 60 days. We need patch to fix the vulnerability.
over 1 year ago in Spectrum Conductor / Version 2.4.1 2 Not under consideration